/**
 * Created by Dell on 2017/5/27.
 */
import {base64} from 'vux'
class CommonUtil {

    static base64Encode(value) {
        let temp = base64.encode(value);
        return this.replaceAll(this.replaceAll(temp,"+","-"),"=",",");
    }

    static base64decode(value) {
        let temp = this.replaceAll(this.replaceAll(value,"-","+"),",","=");
        return base64.decode(temp);
    }

    static replaceAll(source, target, replace) {
        if (source.indexOf(target) > -1) {
            return this.replaceAll(source.replace(target, replace), target, replace);
        } else {
            return source;
        }
    }


    static parseURL(url) {
        let a = document.createElement('a');
        a.href = url;
        return {
            source: url,
            protocol: a.protocol.replace(':', ''),
            host: a.hostname,
            port: a.port,
            query: a.search,
            params: (function () {
                let ret = {},
                    seg = a.search.replace(/^\?/, '').split('&'),
                    len = seg.length, i = 0, s;
                for (; i < len; i++) {
                    if (!seg[i]) {
                        continue;
                    }
                    s = seg[i].split('=');
                    ret[s[0]] = s[1];
                }
                return ret;
            })(),
            file: (a.pathname.match(/\/([^\/?#]+)$/i) || [, ''])[1],
            hash: a.hash.replace('#', ''),
            path: a.pathname.replace(/^([^\/])/, '/$1'),
            relative: (a.href.match(/tps?:\/\/[^\/]+(.+)/) || [, ''])[1],
            segments: a.pathname.replace(/^\//, '').split('/')
        };
    }
}

export default CommonUtil