/**
 * Created by Dell on 2017/4/27.
 */
import {base64} from 'vux'
import CommonUtil from "../components/util/commonUtil"
class Actions {
    static getWebViewPath(title, url) {
        return {
            path: "/web",
            query: {
                url: url,
                title: title
            }
        };
    }

    static getGoodsDetailPath(goods_id) {
        return {
            path: "/goods_detail",
            query: {
                goods_id: goods_id
            }
        }
    }

    static getSpecialListPath(special_id, title) {
        return {
            path: "/special",
            query: {
                special_id: special_id,
                is_special: true,
                title: CommonUtil.base64Encode(title)
            }
        };
    }

    static getFilterBlockListPath(title, special_id, hot_id, brand_id, keyword) {
        return {
            path: "/special",
            query: {
                special_id: special_id,
                is_special: false,
                title: CommonUtil.base64Encode(title),
                hot_id: hot_id,
                brand_id: brand_id,
                keyword: keyword
            }
        };
    }

    static getSchemaPathPath(schema) {
        return {
            path: "/schema",
            query: {schema: base64.encode(schema)}
        };
    }

    static toSearch() {
        return {
            path: "/search",
            query: {}
        };
    }
}

export default Actions;